Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

kali 中运行报错 #3

Closed
yangyangwithgnu opened this Issue Sep 1, 2018 · 4 comments

Comments

Projects
None yet
3 participants
@yangyangwithgnu
Copy link

yangyangwithgnu commented Sep 1, 2018

root@kali:/root/downloads/AntSword-Loader-v2.0.1-linux# ./AntSword
Segmentation fault
root@kali:/root/downloads/AntSword-Loader-v2.0.1-linux# ./AntSword -h
Electron v1.2.3 - Cross Platform Desktop Application Shell

Usage: electron [options] [path]

A path to an Electron application may be specified.
The path must be one of the following:

- index.js file.
- Folder containing a package.json file.
- Folder containing an index.js file.
- .html/.htm file.
- http://, https://, or file:// URL.

Options:
-h, --help Print this usage message.
-i, --interactive Open a REPL to the main process.
-r, --require Module to preload (option can be repeated)
-v, --version Print the version.

加载器一运行就出现段错误。

@Medicean

This comment has been minimized.

Copy link
Contributor

Medicean commented Sep 12, 2018

已经定位到问题,原因是 kali 中默认没有 libgtk 导致,执行下面命令安装缺失的库:

$ sudo apt-get install libgconf-2-4 libgtk-2.0-dev

已知问题是 electron 1.2.3 版本在 kali 下面文件选择框字符无法正常显示,后续整体升级 electron 后会解决乱码这一问题。可以先行下载好 antsword 源代码:

$ git clone https://github.com/AntSwordProject/AntSword.git

然后加载器初始化时选择clone后的源码目录即可。

@yangyangwithgnu

This comment has been minimized.

Copy link
Author

yangyangwithgnu commented Sep 12, 2018

cool!

名字稍微调整下:
sudo apt install libgconf-2-4 libgtk2.0-dev

搞定!

@sqlbypass

This comment has been minimized.

Copy link

sqlbypass commented Mar 24, 2019

`~/Documents/t00ls/AntSword>npm start

antsword@2.0.6 start /Users/cc/Documents/t00ls/AntSword
AntSword app.js

sh: AntSword: command not found
npm ERR! file sh
npm ERR! code ELIFECYCLE
npm ERR! errno ENOENT
npm ERR! syscall spawn
npm ERR! antsword@2.0.6 start: AntSword app.js
npm ERR! spawn ENOENT
npm ERR!
npm ERR! Failed at the antsword@2.0.6 start script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/cc/.npm/_logs/2019-03-24T02_51_27_814Z-debug.log`

/Documents/t00ls/AntSword>uname -a
Darwin gdeMacBook-Pro.lan 18.2.0 Darwin Kernel Version 18.2.0: Thu Dec 20 20:46:53 PST 2018; root:xnu-4903.241.1
1/RELEASE_X86_64 x86_64

怎么解决

@Medicean

This comment has been minimized.

Copy link
Contributor

Medicean commented Mar 24, 2019

不使用 npm start 启动,双击加载器

参考文档:https://doc.u0u.us/zh-hans/getting_started/get_antsword.html

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.